App\Library\Amazon\Classes\Monitor:
    xml_root_name: Monitor
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        builtinSpeaker:
            expose: true
            access_type: public_method
            serialized_name: BuiltinSpeaker
            accessor:
                getter: getBuiltinSpeaker
                setter: setBuiltinSpeaker
            type: App\Library\Amazon\Classes\BuiltinSpeaker
        contrastRatio:
            expose: true
            access_type: public_method
            serialized_name: ContrastRatio
            accessor:
                getter: getContrastRatio
                setter: setContrastRatio
            type: App\Library\Amazon\Classes\ContrastRatio
        displayResolutionMaximum:
            expose: true
            access_type: public_method
            serialized_name: DisplayResolutionMaximum
            accessor:
                getter: getDisplayResolutionMaximum
                setter: setDisplayResolutionMaximum
            type: App\Library\Amazon\Classes\DisplayResolutionMaximum
        displayTechnology:
            expose: true
            access_type: public_method
            serialized_name: DisplayTechnology
            accessor:
                getter: getDisplayTechnology
                setter: setDisplayTechnology
            type: string
        hasColorScreen:
            expose: true
            access_type: public_method
            serialized_name: HasColorScreen
            accessor:
                getter: getHasColorScreen
                setter: setHasColorScreen
            type: boolean
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        monitorTunerTechnology:
            expose: true
            access_type: public_method
            serialized_name: MonitorTunerTechnology
            accessor:
                getter: getMonitorTunerTechnology
                setter: setMonitorTunerTechnology
            type: string
        monitorBrightness:
            expose: true
            access_type: public_method
            serialized_name: MonitorBrightness
            accessor:
                getter: getMonitorBrightness
                setter: setMonitorBrightness
            type: App\Library\Amazon\Classes\MonitorBrightness
        monitorConnectors:
            expose: true
            access_type: public_method
            serialized_name: MonitorConnectors
            accessor:
                getter: getMonitorConnectors
                setter: setMonitorConnectors
            xml_list:
                inline: true
                entry_name: MonitorConnectors
            type: array<App\Library\Amazon\Classes\MonitorConnectors>
        responseTime:
            expose: true
            access_type: public_method
            serialized_name: ResponseTime
            accessor:
                getter: getResponseTime
                setter: setResponseTime
            type: App\Library\Amazon\Classes\ResponseTime
        screenResolution:
            expose: true
            access_type: public_method
            serialized_name: ScreenResolution
            accessor:
                getter: getScreenResolution
                setter: setScreenResolution
            type: App\Library\Amazon\Classes\ScreenResolution
        screenSize:
            expose: true
            access_type: public_method
            serialized_name: ScreenSize
            accessor:
                getter: getScreenSize
                setter: setScreenSize
            type: App\Library\Amazon\Classes\ScreenSize
        tunerTechnology:
            expose: true
            access_type: public_method
            serialized_name: TunerTechnology
            accessor:
                getter: getTunerTechnology
                setter: setTunerTechnology
            type: App\Library\Amazon\Classes\TunerTechnology
        viewingAngle:
            expose: true
            access_type: public_method
            serialized_name: ViewingAngle
            accessor:
                getter: getViewingAngle
                setter: setViewingAngle
            type: App\Library\Amazon\Classes\ViewingAngle
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: App\Library\Amazon\Classes\Voltage
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\Wattage
